AWS IoT Device SDK C++ v2: Aws::Eventstreamrpc::ClientContinuation Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Friends | List of all members
Aws::Eventstreamrpc::ClientContinuation Class Referencefinal

`#include <EventStreamClient.h>`

## Public Member Functions
| ClientContinuation (ClientConnection *connection, ClientContinuationHandler &continuationHandler, Crt::Allocator *allocator) noexcept
| ~ClientContinuation () noexcept
std::future< RpcError > | Activate (const Crt::String &operation, const Crt::List< EventStreamHeader > &headers, const Crt::Optional< Crt::ByteBuf > &payload, MessageType messageType, uint32_t messageFlags, OnMessageFlushCallback onMessageFlushCallback) noexcept
bool | IsClosed () noexcept
void | Release () noexcept
std::future< RpcError > | SendMessage (const Crt::List< EventStreamHeader > &headers, const Crt::Optional< Crt::ByteBuf > &payload, MessageType messageType, uint32_t messageFlags, OnMessageFlushCallback onMessageFlushCallback) noexcept

## Friends
class | ClientOperation

## Constructor & Destructor Documentation

## ◆ ClientContinuation()

Aws::Eventstreamrpc::ClientContinuation::ClientContinuation | ( | ClientConnection * | connection,
|  | ClientContinuationHandler & | continuationHandler,
|  | Crt::Allocator * | allocator
| ) |  |
| noexcept

## ◆ ~ClientContinuation()

Aws::Eventstreamrpc::ClientContinuation::~ClientContinuation | ( |  | ) |
| noexcept

## Member Function Documentation

## ◆ Activate()

std::future< RpcError > Aws::Eventstreamrpc::ClientContinuation::Activate | ( | const Crt::String & | operation,
|  | const Crt::List< EventStreamHeader > & | headers,
|  | const Crt::Optional< Crt::ByteBuf > & | payload,
|  | MessageType | messageType,
|  | uint32_t | messageFlags,
|  | OnMessageFlushCallback | onMessageFlushCallback
| ) |  |
| noexcept

## ◆ IsClosed()

bool Aws::Eventstreamrpc::ClientContinuation::IsClosed | ( |  | ) |
| noexcept

## ◆ Release()

void Aws::Eventstreamrpc::ClientContinuation::Release | ( |  | ) |
| noexcept

## ◆ SendMessage()

std::future< RpcError > Aws::Eventstreamrpc::ClientContinuation::SendMessage | ( | const Crt::List< EventStreamHeader > & | headers,
|  | const Crt::Optional< Crt::ByteBuf > & | payload,
|  | MessageType | messageType,
|  | uint32_t | messageFlags,
|  | OnMessageFlushCallback | onMessageFlushCallback
| ) |  |
| noexcept

## Friends And Related Function Documentation

## ◆ ClientOperation

friend class ClientOperation
| friend

The documentation for this class was generated from the following files:

- eventstream_rpc/include/aws/eventstreamrpc/EventStreamClient.h
- eventstream_rpc/source/EventStreamClient.cpp